package klassen_uml;

/**
 * @author  chrissi
 */
public class Geldkartenautomat {

	// Deklaration der Eigenschaften (Attribute)
	/**
	 * @uml.property  name="betrag"
	 */
	private double betrag;
	/**
	 * @uml.property  name="guthaben"
	 */
	private double guthaben;
	/**
	 * @uml.property  name="meldung"
	 */
	private String meldung;

	// Standard (Default) Konstruktor
	public Geldkartenautomat(){

	}

	// Getter-Methoden: Ermittelt Eigenschaftswert eines Objektes
	/**
	 * @return
	 * @uml.property  name="betrag"
	 */
	public double getBetrag(){
		return this.betrag;
	}

	/**
	 * @return
	 * @uml.property  name="guthaben"
	 */
	public double getGuthaben(){
		return this.guthaben;
	}

	/**
	 * @return
	 * @uml.property  name="meldung"
	 */
	public String getMeldung(){
		return this.meldung;
	}

	//Setter-Methoden: bermitteln Eigenschaftswerte an das Objekt der Klasse
	/**
	 * @param pBetrag
	 * @uml.property  name="betrag"
	 */
	public void setBetrag( double pBetrag) {
		this.betrag = pBetrag;
	}

	/**
	 * @param pGuthaben
	 * @uml.property  name="guthaben"
	 */
	public void setGuthaben( double pGuthaben) {
		this.guthaben = pGuthaben;
	}

	/**
	 * @param pMeldung
	 * @uml.property  name="meldung"
	 */
	public void setMeldung( String pMeldung) {
		this.meldung = pMeldung;
	}
	
	//Sonstige Methoden
	public void aufladen(){
		this.guthaben = this.guthaben + this.betrag;
		this.meldung = "Ihr aktuelles Guthaben betrgt: "
		+this.guthaben + "";
	}
	
	public void abfragen(){
		this.meldung = "Das Guthaben betrgt: " + this.guthaben;
	}
	
	public void bezahlen(){
		if(this.guthaben >= this.betrag){
			this.guthaben = this.guthaben - this.betrag;
		}else{
			this.meldung = "Der Auszahlungsbetrag bersteigt das aktuelle Guthaben!";
		}
		
	}


}
