package mvc;


import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JOptionPane;
import javax.swing.JRadioButton;
import javax.swing.ButtonGroup;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JLabel;
import javax.swing.JTextField;


public class Hauptfenster extends JFrame {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7256664089286141214L;
	private JPanel contentPane;
	private final ButtonGroup buttonGroup = new ButtonGroup();
	private JRadioButton rbM1;
	private JRadioButton rbM2;
	private JRadioButton rbM3;
	private JRadioButton rbM4;
	private JRadioButton rbM5;
	private JRadioButton rbM6;
	private JRadioButton rbM7;
	private Tester dieDaten = new Tester();
	private JTextField tfAusgabe;
	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					Hauptfenster frame = new Hauptfenster();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public Hauptfenster() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 211);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);
		
		rbM1 = new JRadioButton("Methode 1");
		buttonGroup.add(rbM1);
		rbM1.setBounds(23, 21, 109, 23);
		contentPane.add(rbM1);
		
		rbM2 = new JRadioButton("Methode 2");
		buttonGroup.add(rbM2);
		rbM2.setBounds(23, 57, 109, 23);
		contentPane.add(rbM2);
		
		rbM3 = new JRadioButton("Methode 3");
		buttonGroup.add(rbM3);
		rbM3.setBounds(23, 91, 109, 23);
		contentPane.add(rbM3);
		
		rbM4 = new JRadioButton("Methode 4");
		buttonGroup.add(rbM4);
		rbM4.setBounds(134, 21, 109, 23);
		contentPane.add(rbM4);
		
		rbM5 = new JRadioButton("Methode 5");
		buttonGroup.add(rbM5);
		rbM5.setBounds(134, 57, 109, 23);
		contentPane.add(rbM5);
		
		rbM6 = new JRadioButton("Methode 6");
		buttonGroup.add(rbM6);
		rbM6.setBounds(134, 91, 109, 23);
		contentPane.add(rbM6);
		
		rbM7 = new JRadioButton("Methode 7");
		buttonGroup.add(rbM7);
		rbM7.setBounds(245, 21, 109, 23);
		contentPane.add(rbM7);
		
		JButton btTesten = new JButton("Testen");
		btTesten.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				leseRadio();
				leseEingabeAusFenster();
				schreibeAusgabe();
			}
		});
		btTesten.setBounds(23, 141, 89, 23);
		contentPane.add(btTesten);
		
		JLabel lbAusgabe = new JLabel("Ausgabe:");
		lbAusgabe.setBounds(186, 145, 57, 14);
		contentPane.add(lbAusgabe);
		
		tfAusgabe = new JTextField();
		tfAusgabe.setText("tfAusgabe");
		tfAusgabe.setBounds(253, 142, 130, 20);
		contentPane.add(tfAusgabe);
		tfAusgabe.setColumns(10);
	}
	
	
		/*Else if-Kontrollstruktur fr 
		 * Alternativen/Fallunterscheidungen*/
		public int leseRadio(){
			int mValue = 0;
			if(buttonGroup.isSelected(rbM1.getModel())){
				mValue = 1;
			}else if (buttonGroup.isSelected(rbM2.getModel())){
				mValue = 2;
			}else if (buttonGroup.isSelected(rbM3.getModel())){
				mValue = 3;
			}else if (buttonGroup.isSelected(rbM4.getModel())){
				mValue = 4;
			}else if (buttonGroup.isSelected(rbM5.getModel())){
				mValue = 5;
			}else if (buttonGroup.isSelected(rbM6.getModel())){
				mValue = 6;
			}else if (buttonGroup.isSelected(rbM7.getModel())){
				mValue = 7;
			}else{			
				mValue = 0;
			}
			return mValue;
		}
	
		public String leseEingabeAusFenster_aufg(){
			int mRadio = this.leseRadio();
			String mEingabe = "keine Eingabe!";
			
			switch(mRadio){
				case 0:
					/*Dialogfenster*/
					break;
				case 1:
					/*Deklaration und Initialisierung des Eingabedialogfensters*/
					/*Aufruf der test-Methode*/
					break;	
					
				/*... weitere Flle folgen...*/
			}
		
		/*Testausgabe auf der Konsole*/
		System.out.println(mEingabe);
		
		/*Rckgabewert mEingabe*/
		return mEingabe;
		}
		
		public String leseEingabeAusFenster(){
			
			int mRadio = this.leseRadio();
			String mEingabe = "keine Eingabe!";
			
			switch(mRadio){
				case 0:
					/*Dialogfenster*/
					JOptionPane.showMessageDialog(this, "Sie haben keine Auswahl getroffen!");
					break;
				case 1:
					/*Deklaration und Initialisierung des Eingabedialogfensters*/
					String eingabelabel = "Bitte geben Sie die Werte der Form ein:"+"\n"+"[Kontostand, Einzahlung]";
					String fenstertitel = "Eingabe ttigen";
					
						mEingabe = JOptionPane.showInputDialog(this, eingabelabel, fenstertitel, JOptionPane.QUESTION_MESSAGE);
						try{
							mEingabe.equals(null);
						}catch(NullPointerException e){
							JOptionPane.showMessageDialog(this, "Abbruch des Tests!");
						}
					/*Aufruf der Test-Methode*/
					dieDaten.testeMethode1(mEingabe);
					break;	
					
				case 2:
					
					break;
				case 3:
					
					break;
				case 4:
					
					break;
				case 5:
					
					break;
				case 6:
					
					break;
				case 7:
					
					break;
				
			}
			
			//Testausgabe auf der Konsole
			System.out.println(mEingabe);
			return mEingabe;
		}	
		
		public void schreibeAusgabe(){
			String mAusgabe = dieDaten.getAusgabe();
			tfAusgabe.setText(mAusgabe);
		}
}
