package klassen_uml;


/**
 * Created by Chrissi on 09.04.2015.
 */
public class Waehrungsrechner {
    // Deklaration der Eigenschaften (Attribute)

    private double betrag;
    private String von;
    private String in;
    private double ergebnis;
    private double wechselkurs;

    // Standard (Default) Konstruktor
    public Waehrungsrechner(){

    }

    // Getter: Ermittelt Eigenschaftswert eines Objektes

    public double getBetrag() {
        return betrag;
    }

    public String getVon() {
        return von;
    }

    public String getIn() {
        return in;
    }

    public double getErgebnis() {
        return ergebnis;
    }
    public double getWechselkurs() {
        return wechselkurs;
    }

    // Setter: bermittelt Eigenschaftswert an das Attribut des Objektes

    public void setBetrag(double pBetrag) {
        this.betrag = pBetrag;
    }

    public void setVon(String pVon) {
        this.von = pVon;
    }

    public void setIn(String pNach) {
        this.in = pNach;
    }

    public void setErgebnis(double pEergebnis) {
        this.ergebnis = pEergebnis;
    }

    public void setWechselkurs(double pWechselkurs) {
        this.wechselkurs = pWechselkurs;
    }

    // Hhere Methode: Methoden die mehr knnen als nur er- und bermitteln
    public void umrechnen(String pWaehrung1, String pWaehrung2){
        if(pWaehrung1.equals("Euro (EUR)") && pWaehrung2.equals("Euro (EUR)")){
            //Euro(EUR) - Euro(EUR)
            this.wechselkurs = 1.00000;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Euro (EUR)") && pWaehrung2.equals("Britisches Pfund (GBP)")){
            //Euro (EUR) - Britisches Pfund (GBP)
            this.wechselkurs = 0.72085;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Britisches Pfund (GBP)") && pWaehrung2.equals("Britisches Pfund (GBP)")){
            //Britisches Pfund (GBP) - Britisches Pfund (GBP)
            this.wechselkurs = 1.00000;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Euro (EUR)") && pWaehrung2.equals("US Dollar (USD)")){
            //Euro (EUR) - US Dollar (USD)
            this.wechselkurs = 1.05987;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("US Dollar (USD)") && pWaehrung2.equals("US Dollar (USD)")){
            //US Dollar (USD) - US Dollar (USD)
            this.wechselkurs = 1.00000;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Euro (EUR)") && pWaehrung2.equals("Japanischer Yen (JPY)")){
            //Euro (EUR) - Japanischer Yen (JPY)
            this.wechselkurs = 126.86000;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Japanischer Yen (JPY)") && pWaehrung2.equals("Japanischer Yen (JPY)")){
            //Japanischer Yen (JPY) - Japanischer Yen (JPY)
            this.wechselkurs = 1.00000;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Britisches Pfund (GBP)") && pWaehrung2.equals("Euro (EUR)")){
            //Britisches Pfund (GBP) - Euro (EUR)
            this.wechselkurs = 1.38690;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Britisches Pfund (GBP)") && pWaehrung2.equals("US Dollar (USD)")){
            //Britisches Pfund (GBP) - US Dollar (USD)
            this.wechselkurs = 1.47011;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Britisches Pfund (GBP)") && pWaehrung2.equals("Japanischer Yen (JPY)")){
            //Britisches Pfund (GBP) - Japanischer Yen (JPY)
            this.wechselkurs = 175.96000;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("US Dollar (USD)") && pWaehrung2.equals("Euro (EUR)")){
            //US Dollar (USD) - Euro (EUR)
            this.wechselkurs = 0.94337;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("US Dollar (USD)") && pWaehrung2.equals("Britisches Pfund (GBP)")){
            //US Dollar (USD) - Britisches Pfund (GBP)
            this.wechselkurs =  0.68012;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("US Dollar (USD)") && pWaehrung2.equals("Japanischer Yen (JPY)")){
            //US Dollar (USD) - Japanischer Yen (JPY)
            this.wechselkurs =  119.69000;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Japanischer Yen (JPY)") && pWaehrung2.equals("Euro (EUR)")){
            //Japanischer Yen (JPY) - Euro (EUR)
            this.wechselkurs =  0.00788;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Japanischer Yen (JPY)") && pWaehrung2.equals("Britisches Pfund (GBP)")){
            //Japanischer Yen (JPY) - Britisches Pfund (GBP)
            this.wechselkurs =   0.00568;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Japanischer Yen (JPY)") && pWaehrung2.equals("US Dollar (USD)")){
            //Japanischer Yen (JPY) - US Dollar (USD)
            this.wechselkurs =    0.00835;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else{
            this.wechselkurs =    0.00000;
        }
        this.ergebnis =  Math.round((this.betrag * this.wechselkurs)*100)/ 100;
    }
    
    public void umrechnen(){
    	String pWaehrung1 = this.getVon();
    	String pWaehrung2 = this.getIn();
        if(pWaehrung1.equals("Euro (EUR)") && pWaehrung2.equals("Euro (EUR)")){
            //Euro(EUR) - Euro(EUR)
            this.wechselkurs = 1.00000;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Euro (EUR)") && pWaehrung2.equals("Britisches Pfund (GBP)")){
            //Euro (EUR) - Britisches Pfund (GBP)
            this.wechselkurs = 0.72085;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Britisches Pfund (GBP)") && pWaehrung2.equals("Britisches Pfund (GBP)")){
            //Britisches Pfund (GBP) - Britisches Pfund (GBP)
            this.wechselkurs = 1.00000;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Euro (EUR)") && pWaehrung2.equals("US Dollar (USD)")){
            //Euro (EUR) - US Dollar (USD)
            this.wechselkurs = 1.05987;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("US Dollar (USD)") && pWaehrung2.equals("US Dollar (USD)")){
            //US Dollar (USD) - US Dollar (USD)
            this.wechselkurs = 1.00000;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Euro (EUR)") && pWaehrung2.equals("Japanischer Yen (JPY)")){
            //Euro (EUR) - Japanischer Yen (JPY)
            this.wechselkurs = 126.86000;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Japanischer Yen (JPY)") && pWaehrung2.equals("Japanischer Yen (JPY)")){
            //Japanischer Yen (JPY) - Japanischer Yen (JPY)
            this.wechselkurs = 1.00000;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Britisches Pfund (GBP)") && pWaehrung2.equals("Euro (EUR)")){
            //Britisches Pfund (GBP) - Euro (EUR)
            this.wechselkurs = 1.38690;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Britisches Pfund (GBP)") && pWaehrung2.equals("US Dollar (USD)")){
            //Britisches Pfund (GBP) - US Dollar (USD)
            this.wechselkurs = 1.47011;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Britisches Pfund (GBP)") && pWaehrung2.equals("Japanischer Yen (JPY)")){
            //Britisches Pfund (GBP) - Japanischer Yen (JPY)
            this.wechselkurs = 175.96000;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("US Dollar (USD)") && pWaehrung2.equals("Euro (EUR)")){
            //US Dollar (USD) - Euro (EUR)
            this.wechselkurs = 0.94337;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("US Dollar (USD)") && pWaehrung2.equals("Britisches Pfund (GBP)")){
            //US Dollar (USD) - Britisches Pfund (GBP)
            this.wechselkurs =  0.68012;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("US Dollar (USD)") && pWaehrung2.equals("Japanischer Yen (JPY)")){
            //US Dollar (USD) - Japanischer Yen (JPY)
            this.wechselkurs =  119.69000;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Japanischer Yen (JPY)") && pWaehrung2.equals("Euro (EUR)")){
            //Japanischer Yen (JPY) - Euro (EUR)
            this.wechselkurs =  0.00788;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Japanischer Yen (JPY)") && pWaehrung2.equals("Britisches Pfund (GBP)")){
            //Japanischer Yen (JPY) - Britisches Pfund (GBP)
            this.wechselkurs =   0.00568;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else if(pWaehrung1.equals("Japanischer Yen (JPY)") && pWaehrung2.equals("US Dollar (USD)")){
            //Japanischer Yen (JPY) - US Dollar (USD)
            this.wechselkurs =    0.00835;
            this.setVon(pWaehrung1);
            this.setIn(pWaehrung2);
        }else{
            this.wechselkurs =    0.00000;
        }
        this.ergebnis =  Math.round((this.betrag * this.wechselkurs)*100)/ 100;
    }
}
