package klassen;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import javax.swing.ImageIcon;
import java.awt.Font;
import java.awt.Color;

import javax.swing.JTextField;
import javax.swing.JComboBox;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

import javax.swing.JScrollPane;
import javax.swing.JTextArea;


public class Hauptfenster extends JFrame {
  
  /**
  * 
  */
  private static final long serialVersionUID = 8519171689153531668L;
  private JPanel contentPane;
  private JTextField tfMinute;
  private DefaultComboBoxModel cbmZeitzone;
  private JTextArea taAusgabe;
  private JTextField tfStunde;
  
  /**
  * Launch the application.
  */
  public static void main(String[] args) {
    EventQueue.invokeLater(new Runnable() {
      public void run() {
        try {
          Hauptfenster frame = new Hauptfenster();
          frame.setVisible(true);
        } catch (Exception e) {
          e.printStackTrace();
        }
      }
    });
  }
  
  /**
  * Create the frame.
  */
  public Hauptfenster() {
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    setBounds(100, 100, 552, 393);
    contentPane = new JPanel();
    contentPane.setBackground(Color.WHITE);
    contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
    setContentPane(contentPane);
    contentPane.setLayout(null);
    
    JLabel lbTitel = new JLabel("Zeitzonenrechner");
    lbTitel.setFont(new Font("Arial", Font.PLAIN, 18));
    lbTitel.setIcon(new ImageIcon(Hauptfenster.class.getResource("/klassen/ic_launcher.png")));
    lbTitel.setBounds(10, 11, 293, 81);
    contentPane.add(lbTitel);
    
    JLabel lbZeit = new JLabel("Deutsche Zeit:");
    lbZeit.setBounds(20, 103, 126, 14);
    contentPane.add(lbZeit);
    
    JLabel lbZeitzone = new JLabel("Zeitzone w\u00E4hlen:");
    lbZeitzone.setBounds(22, 168, 121, 14);
    contentPane.add(lbZeitzone);
    
    tfMinute = new JTextField();
    tfMinute.setText("tfMinute");
    tfMinute.setBounds(268, 119, 73, 27);
    contentPane.add(tfMinute);
    tfMinute.setColumns(10);
    
    JComboBox cbZeitzone = new JComboBox();
    cbmZeitzone = new DefaultComboBoxModel();
    cbmZeitzone.addElement("New York");
    cbmZeitzone.addElement("London");
    cbmZeitzone.addElement("Tokyo");
    cbmZeitzone.addElement("Sydney");
    cbZeitzone.setModel(cbmZeitzone);
    cbZeitzone.setBounds(161, 165, 180, 20);
    contentPane.add(cbZeitzone);
  
  JButton btLeeren = new JButton("Leeren");
  btLeeren.addActionListener(new ActionListener() {
  	public void actionPerformed(ActionEvent arg0) {
  		tfStunde.setText("");
  		tfMinute.setText("");  		
  		taAusgabe.setText("");
  	}
  });
  btLeeren.setBounds(22, 321, 89, 23);
  contentPane.add(btLeeren);
  
  JButton btBerechne = new JButton("Berechne");
  btBerechne.addActionListener(new ActionListener() {
  	public void actionPerformed(ActionEvent arg0) {
  		//Eingabe

  		  		
  		//Verarbeitung

  		
  		//Ausgabe

  	}
  });
  btBerechne.setBounds(121, 321, 113, 23);
    contentPane.add(btBerechne);
  

  
  JButton btSchliessen = new JButton("Schlie\u00DFen");
  btSchliessen.addActionListener(new ActionListener() {
  	public void actionPerformed(ActionEvent arg0) {
  		
  	}
  });
  btSchliessen.setBounds(244, 321, 105, 23);
  contentPane.add(btSchliessen);
  
  JScrollPane scrollPane = new JScrollPane();
  scrollPane.setBounds(22, 219, 320, 62);
  contentPane.add(scrollPane);
  
  taAusgabe = new JTextArea();
  taAusgabe.setText("taAusgabe");
  scrollPane.setViewportView(taAusgabe);
  
  JLabel lbMinute = new JLabel("Minute:");
  lbMinute.setBounds(200, 125, 58, 14);
  contentPane.add(lbMinute);
  
  JLabel lbStunde = new JLabel("Stunde:");
  lbStunde.setBounds(30, 125, 64, 14);
  contentPane.add(lbStunde);
  
  tfStunde = new JTextField();
  tfStunde.setText("tfStunde");
  tfStunde.setBounds(92, 122, 86, 20);
  contentPane.add(tfStunde);
  tfStunde.setColumns(10);
  
  JLabel lbLogo = new JLabel("");
  lbLogo.setIcon(new ImageIcon(Hauptfenster.class.getResource("/klassen/logo_final.png")));
  lbLogo.setBounds(359, 307, 180, 47);
  contentPane.add(lbLogo);
  }
}
