
package klassen_uml;

/**
 * @author  chrissi
 */
public class Bmirechner {
  // Deklaration der Eigenschaften (Attribute)
  /**
 * @uml.property  name="groesse"
 */
private double groesse;
  /**
 * @uml.property  name="gewicht"
 */
private double gewicht;
  /**
 * @uml.property  name="ergebnis"
 */
private double ergebnis;
  /**
 * @uml.property  name="kategorie"
 */
private String kategorie;
  
  // Standard (Default) Konstruktor
  public Bmirechner(){
    
  }
  
  // Getter: Ermittelt Eigenschaftswert eines Objektes
  
  /**
 * @return
 * @uml.property  name="groesse"
 */
public double getGroesse(){
    
    return groesse;
  }
  
  /**
 * @return
 * @uml.property  name="gewicht"
 */
public double getGewicht(){
    
    return gewicht;
  }
  
  /**
 * @return
 * @uml.property  name="ergebnis"
 */
public double getErgebnis(){
    
    return ergebnis;
  }
  
  /**
 * @return
 * @uml.property  name="kategorie"
 */
public String getKategorie(){
    return this.kategorie;
  }
  
  // Setter: bermittelt Eigenschaftswert an das Attribut des Objektes
  
  /**
 * @param pGroesse
 * @uml.property  name="groesse"
 */
public void setGroesse(double pGroesse){
    
    this.groesse = pGroesse;
  }
  
  /**
 * @param pGewicht
 * @uml.property  name="gewicht"
 */
public void setGewicht(double pGewicht){
    
    this.gewicht = pGewicht;
  }
  
  /**
 * @param pErgebnis
 * @uml.property  name="ergebnis"
 */
public void setErgebnis(double pErgebnis){
    
    this.ergebnis = pErgebnis;
  }  
  
  /**
 * @param pKategorie
 * @uml.property  name="kategorie"
 */
public void setKategorie(String pKategorie){
    this.kategorie = pKategorie;
  }
  
  // Sonstige Methoden: Methoden die mehr knnen als nur er- und bermitteln
  
  public void berechnen(){
    
    this.ergebnis = this.gewicht / (this.groesse * this.groesse);
  }
  
  
  public void interpretiere(){
    
    if (this.ergebnis >= 40) {
      this.kategorie = "Adipositas Grad III";
    }else if(this.ergebnis >= 35 && this.ergebnis < 40){
      
      this.kategorie = "Adipositas Grad II";
    }else if(this.ergebnis >= 30 && this.ergebnis < 35){
      
      this.kategorie = "Adipositas Grad I";
    } else if(this.ergebnis >= 25 && this.ergebnis < 30){
      
      this.kategorie = "Prdipositas";
    } else if(this.ergebnis >= 18.5 && this.ergebnis < 25){
      
      this.kategorie = "Normalgewicht";
    } else if(this.ergebnis >= 17 && this.ergebnis < 18.5){
      
      this.kategorie = "Leichtes Untergwicht";
    } else if(this.ergebnis >= 16 && this.ergebnis < 17){
      this.kategorie = "Miges Untergewicht";
      
    } else{
      this.kategorie = "Starkes Untergewicht";
    }
  }
}


