package datentypen;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import java.awt.Font;
import javax.swing.ImageIcon;
import java.awt.Color;
import javax.swing.JTextField;
import javax.swing.JButton;
import javax.swing.JTextArea;
import javax.swing.JScrollPane;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class Hauptfenster extends JFrame {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5938403589352799266L;
	private JPanel contentPane;
	private JTextField tfId;
	private JTextField tfPreis;
	private JTextField tfAnzahl;
	private JTextField txtTfbezeichnung;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					Hauptfenster frame = new Hauptfenster();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public Hauptfenster() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 559, 425);
		contentPane = new JPanel();
		contentPane.setBackground(Color.WHITE);
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);
		
		JLabel lbTitel = new JLabel("Allg\u00E4u Car Tuning GmbH");
		lbTitel.setIcon(new ImageIcon(Hauptfenster.class.getResource("/datentypen/autoneu.png")));
		lbTitel.setFont(new Font("Arial", Font.PLAIN, 18));
		lbTitel.setBounds(0, 0, 490, 147);
		contentPane.add(lbTitel);
		
		JLabel lbId = new JLabel("Id:");
		lbId.setBounds(24, 158, 46, 14);
		contentPane.add(lbId);
		
		JLabel lbBezeichnung = new JLabel("Bezeichnung:");
		lbBezeichnung.setBounds(23, 269, 90, 14);
		contentPane.add(lbBezeichnung);
		
		JLabel lbPreis = new JLabel("Preis:");
		lbPreis.setBounds(23, 198, 46, 14);
		contentPane.add(lbPreis);
		
		JLabel lbAnzahl = new JLabel("Anzahl:");
		lbAnzahl.setBounds(23, 233, 46, 14);
		contentPane.add(lbAnzahl);
		
		tfId = new JTextField();
		tfId.setText("tfId");
		tfId.setBounds(119, 146, 191, 28);
		contentPane.add(tfId);
		tfId.setColumns(10);
		
		tfPreis = new JTextField();
		tfPreis.setText("tfPreis");
		tfPreis.setBounds(119, 183, 191, 28);
		contentPane.add(tfPreis);
		tfPreis.setColumns(10);
		
		tfAnzahl = new JTextField();
		tfAnzahl.setText("tfAnzahl");
		tfAnzahl.setBounds(118, 220, 191, 28);
		contentPane.add(tfAnzahl);
		tfAnzahl.setColumns(10);
		
		txtTfbezeichnung = new JTextField();
		txtTfbezeichnung.setText("tfBezeichnung");
		txtTfbezeichnung.setBounds(118, 256, 191, 28);
		contentPane.add(txtTfbezeichnung);
		txtTfbezeichnung.setColumns(10);
		
		JButton btLeeren = new JButton("Leeren");
		btLeeren.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
			}
		});
		btLeeren.setBounds(25, 307, 89, 23);
		contentPane.add(btLeeren);
		
		JButton btMehren = new JButton("Mehren");
		btMehren.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
			}
		});
		btMehren.setBounds(220, 307, 89, 23);
		contentPane.add(btMehren);
		
		JButton btMindern = new JButton("Mindern");
		btMindern.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
			}
		});
		btMindern.setBounds(319, 307, 89, 23);
		contentPane.add(btMindern);
		
		JButton btEingeben = new JButton("Eingeben");
		btEingeben.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
			}
		});
		btEingeben.setBounds(121, 307, 89, 23);
		contentPane.add(btEingeben);
		
		JButton btSchliessen = new JButton("Schlie\u00DFen");
		btSchliessen.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
			}
		});
		btSchliessen.setBounds(25, 337, 93, 23);
		contentPane.add(btSchliessen);
		
		JScrollPane scrollPane = new JScrollPane();
		scrollPane.setBounds(330, 146, 203, 139);
		contentPane.add(scrollPane);
		
		JTextArea taAusgabe = new JTextArea();
		taAusgabe.setBackground(Color.LIGHT_GRAY);
		scrollPane.setViewportView(taAusgabe);
		taAusgabe.setText("taAusgabe");
		
		JButton btLager = new JButton("Lager pr\u00FCfen");
		btLager.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
			}
		});
		btLager.setBounds(417, 306, 116, 23);
		contentPane.add(btLager);
		
		JLabel lbLogo = new JLabel("");
		lbLogo.setIcon(new ImageIcon(Hauptfenster.class.getResource("/datentypen/logo_final.png")));
		lbLogo.setBounds(367, 352, 176, 34);
		contentPane.add(lbLogo);
	}
}
